"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var uuid = require("uuid");
var classNames = require("classnames");
var help_1 = require("@amalto/help");
function CheckBox(props) {
    var label = props.label, disabled = props.disabled, help = props.help, containerClass = props.containerClass, inputClass = props.inputClass, collapseErrorSpace = props.collapseErrorSpace;
    var _a = props.field, input = _a.input, meta = _a.meta;
    var inputId = uuid.v4();
    return (React.createElement("div", { className: classNames('form-group', containerClass, {
            'invalid': meta.touched && !!meta.error
        }) },
        React.createElement("span", { className: classNames('form-checkbox-wrapper', inputClass) },
            React.createElement("input", __assign({}, input, { key: input.name, type: "checkbox", disabled: disabled, id: inputId + "_" + input.name, className: "form-checkbox", checked: input.value })),
            React.createElement("label", { className: "form-checkbox-label", htmlFor: inputId + "_" + input.name }, label),
            help && React.createElement(help_1.default, { text: help, containerClass: 'pos-absolute' })),
        (meta.touched && !!meta.error) ? React.createElement("p", { className: "validation-error-message" }, meta.error) : (collapseErrorSpace ? null : React.createElement("p", { className: "validation-error-message" }, "\u00A0"))));
}
exports.default = CheckBox;
//# sourceMappingURL=CheckBox.js.map