"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var redux_form_1 = require("redux-form");
var CheckBox_1 = require("./components/CheckBox");
function CheckboxInput(props) {
    var name = props.name, label = props.label, help = props.help, containerClass = props.containerClass, inputClass = props.inputClass, collapseErrorSpace = props.collapseErrorSpace, disabled = props.disabled, format = props.format, normalize = props.normalize, parse = props.parse, validate = props.validate, warn = props.warn;
    var baseFieldProps = {
        name: name,
        format: format,
        normalize: normalize,
        parse: parse,
        validate: validate,
        warn: warn
    };
    var renderCheckboxInput = function (field) {
        return (React.createElement(CheckBox_1.default, { label: label, help: help, containerClass: containerClass, inputClass: inputClass, collapseErrorSpace: collapseErrorSpace, disabled: disabled, field: field }));
    };
    return label ? (React.createElement(redux_form_1.Field, __assign({}, baseFieldProps, { component: renderCheckboxInput }))) : null;
}
exports.default = CheckboxInput;
//# sourceMappingURL=index.js.map